| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Functions
Launch app messages
Predefined NDEF messages

Generation of NFC NDEF messages that can be used to launch apps. More...

## Modules
| Launch app records
| Generation of NFC NDEF record descriptions that launch apps.

## Functions
ret_code_t | nfc_launchapp_msg_encode (uint8_t const *p_android_package_name, uint8_t android_package_name_length, uint8_t const *p_win_app_id, uint8_t win_app_id_length, uint8_t *p_buf, uint32_t *p_len)
| Function for encoding an NFC NDEF launch app message. More...

## Detailed Description

Generation of NFC NDEF messages that can be used to launch apps.

## Function Documentation

ret_code_t nfc_launchapp_msg_encode | ( | uint8_t const * | p_android_package_name,
|  | uint8_t | android_package_name_length,
|  | uint8_t const * | p_win_app_id,
|  | uint8_t | win_app_id_length,
|  | uint8_t * | p_buf,
|  | uint32_t * | p_len
| ) |  |

Function for encoding an NFC NDEF launch app message.

This function encodes an NFC NDEF message into a buffer.

Parameters

  [in] | p_android_package_name | Pointer to the Android package name string. If NULL, the Android Application Record will be skipped.
  [in] | android_package_name_length | Length of the Android package name.
  [in] | p_win_app_id | Pointer to the Windows application ID string (GUID). If NULL, the Windows LaunchApp record will be skipped.
  [in] | win_app_id_length | Length of the Windows application ID.
  [out] | p_buf | Pointer to the buffer for the message.
  [in,out] | p_len | Size of the available memory for the message as input. Size of the generated message as output.

Return values

  NRF_SUCCESS | If the description was successfully created.
  NRF_ERROR_INVALID_PARAM | If both p_android_package_name and windows_application_id were invalid (equal to NULL).
  NRF_ERROR_NO_MEM | If the predicted message size is bigger than the provided buffer space.
  Other | Other codes might be returned depending on the function nfc_ndef_msg_encode